History

About the Mark:

+ New Function(s) Added.

# New Function(s) Added but NOT Ready

- Unused Function(s) Removed.

* Problem(s) Fixed.

! Problem(s) Found but NOT Fixed.

^ Funciton(s) in Planning

2015.01.31 V1.0.5

* Supports RAD Studio XE 7 Update 1.

* TabOrder Supports Display in FMX Designer.

* Supports Reset Settings for Each Wizard.

* Input Helper Supports Dot Unit Names. Allow Customize Pascal or C/C++ Type for a User Symbol.

* Add Highlight for Conditional Compiler Directive at Cursor in Source Highlight.

* Version Enhancement Allows Customizing Time Format.

* Fix the Display Problem under Aero Theme in Window Top Roller Wizard.

* Add Comment Cropper Entry to Menu of Editor Float Button.

* Fix a UTF8 Conversion Problem under BDS in Comment Cropper.

* Fix a Toolbar Display Problem under BDS when Toolbar Locked.

* Add a Renaming to EditorLineEnds.ttr File when Exit to Avoid an IDE Bug.

* Other Bugs Fixed.

2014.10.01 V1.0.4

+ Add Support to RAD Studio XE 7.

* Use DDetours Hook Library to Avoid Conflicts to Other Wizards. Defaultly Disabled.

* Add UnitPath Macro to Enter the Path of Current Unit in Source Template.

* Optimize Current Identifier Highlight Displaying in Source Highlight.

* Fix a Separate Line Display Problem in Source Highlight when Line Elided.

* Fix a Toolbar Display Problem in Backward/Forward Extension under BDS.

* Other Bugs Fixed.

2014.08.15 V1.0.3

+ Add Support to RAD Studio XE 6.

* Fix a Parse Error when Meeting record in var Declaration in Source Highlight.

* Other Bugs Fixed.

2014.01.01 V1.0.2

+ Add Support to RAD Studio XE 5.

+ Input Helper Supports C++Builder 5/6.

* Editor Navigation Extension Supports BDS's Toolbar in Main Window.

* Fix a Corrupt Problem in Uses Cleaner.

* Fix a Char Width Problem for Some Fonts in Highlight Current Identifier under BDS.

* Other Bugs Fixed.

2013.08.01 V1.0.1

+ Add Support to RAD Studio XE 4.

+ Add Highlight Flow Control Statement in Source Highlight.

+ Add Line Setting Dialog for Separate Line in Source Highlight.

* Optimize Input Helper Speed under BDS. Optimize Supports for Unit Name with Dot in XE2 or Later.

* Component to Code Supports FMX.

* Fix a Problem of Auto Inc Build Number in Version Enhancement under XE/XE2/XE3.

* Other Bugs Fixed.

2012.12.21 V1.0.0

+ Add Support to RAD Studio XE 3.

+ Add Draw Separate Line at Empty Row between Functions. Defaultly Disabled.

+ Add Function to Jump to Previous/Next Identifier under Cursor in Editor Wizard. Default Shortcut are Ctrl+Alt+Up/Down.

* Form Design Supports FMX Designer.

* Fix Dcu Format Error under XE 2 Update 1 in Uses Cleaner.

* Optimize Support for Unit Name with Point.

* Save Combo Width and Restore in Procedure Toolbar.

* Support Pascal Template Declaration in Procedure List.

* Add Find Edit Box to Locate Wizard and Editor in Wizard Settings Dialog.

* Supports XE2 Update 4. Do not support Update 1/2/3 for incompatibility.

* Other Bugs Fixed.

2011.10.01 V0.9.9

+ Add Support to RAD Studio XE 2.

+ Add ImageList Component Editor. Supports Alpha Channel and Online Search.

* Fix a Tab Position Error Problem in Source Highlight under Delphi 2009 or up.

* Add Cursor Wrapping Function in Editor Enhancement. Defaultly Disabled.

* Pascal Script Engine Upgrade to Latest Version under Delphi 2009 or Up.

* Float Property Bar Use String Property Editor.

* Other Bugs Fixed.

2011.06.06 V0.9.8

* Add Delphi 2011 Support to Uses Cleaner.

* String Property Editor Supports WideString Properties.

* Fix a Terminated Char Problem for Unicode in Repository Wizards.

* Fix the Problem that the ShortCut not Saved in Source Highlight.

* Fix an Output Directory Location Problem under Delphi 2011 in Project Extension.

* Fix a UTF-8 Copy Problem under Delphi 2010/2011 in Source Export Wizard.

* Add Some New Function and Demos in Script Wizard.

* Other Bugs Fixed.

2010.10.01 V0.9.7

+ Add Support to RAD Studio 2011.

* Fix Possible Position Error in Source Highlight and F2 Rename Function when Wide Char in Source .

* Add Regular Expression Support in Batch Replacing and Script Wizard.

* Decrease CPU Usage in BDS.

* Fix a Display Error in Ascii Chart.

* Compile Some Tools by Delphi 7 to Avoid False Trojan Report.

* Other Bugs Fixed.

2010.05.01 V0.9.6

+ Add Feed Reader Wizard.

+ Add Russian and German UI Support. Change Language Files Format to UTF-8.

- Win98 is no longer supported.

* Fix an Import Problem of CnConfigIO under WIN7/ Vista.

* Destination File Name of Project Backup Supports Relative Path.

* Fix a Calling Blocking issue when CnDebugger Opening a New Window.

* Other Bugs Fixed.

2010.01.01 V0.9.5

* Supports Foreground and Frame Color for Current Identifier in Source Highlight.

* Fix a Problem of Uses Cleaner when "inline" keyword used.

* Add an Option to Allow IDE to Run in Single Core Mode.

* Fix a Setting Saving Problem in Designer Toolbar.

* Show Designer Toolbar in Embedded Designer.

* Fix a Problem in "Duplicate" function under Delphi 2010.

* Other Bugs Fixed.

2009.09.14 V0.9.4

+ Add Support to Delphi 2010.

+ Add Support to Vista/Windows 7.

+ Line Number Supports BDS.

+ Add ToolBar to BDS Embedded Designer.

* Add Popup Option after Key Sequence in Input Helper.

* Support Regular Expression Search in Units/Forms/Procedure List.

* Fix an Auto Enter "end" Problem in Source Enhancement.

* Fix an UI Error Handler in Source Statistics.

* Optimize C/C++ File Support in Source Highlight.

* Fix a Quitting Problem in CnDebugViewer.

* Other Bugs Fixed.

2009.08.01 V0.9.3

+ Add Event Filter to Component Selector.

* Update Upgrade Checking. Add Privacy Policy in Help Files.

* Allow Import/Export Color Settings in Source Highlight.

* Optimize CR/LF Processing in Source Highlight.

* Fix a Problem in Nested Procedure in Source Highlight.

* Fix a Problem of Multi-Line Editor Tab in Delphi 6/C++Builder 6.

* Fix a Problem when Opening Cpp File in C++Builder.

* Fix a Code generation Problem in MessageBox Designer in C++Builder.

* Fix an AV problem when closing IDE in MSDN Wizard.

* Prefix Wizard supports inputing Unicode Char under Delphi 2009.

* Fix a Problem in Code Input Helper when Persistent Blocks is True.

* Other Bugs Fixed.

2009.06.30 V0.9.2

+ Simulate Code Input Helper using IDE's Code Insight in C++Builder 5/6.

+ Source Highlight Supports C++Builder.

+ Procedure Toolbar Supports C++Builder.

+ Jump to Matched Keyword/Brace Supports C++Builder.

+ Change Dropdown and Searching Mode in Procedure Toolbar.

+ Auto Add "end" when Pressing Enter after "begin" in Editor.

+ Add an Option to Ignore Space in Input Helper.

+ Add Auto-Adjusted by BidiMode in TabOrder Wizard.

* Other Bugs Fixed.

2009.04.04 V0.9.1

+ Add Highlight to Current Line in Source Highlight.

+ Add F2 Shortcut to Rename Identifier under Cursor.

+ Add a Function that Auto Put to Line End when Enter Semicolon in Source. Defaultly Disabled.

+ Comment Cropper Supports Directoires. Add an Merge Blank Lines Option.

+ Script Wizard Supports Delphi 2009. Some Demos Added.

+ Add F2 Shortcut to Rename Selected Component in Designer.

* Decrease Help File Size.

* Save Position and Size of CnWizards' Dockable Forms.

* Fix a Replacment Error in Replace Wizard and Uses Cleaner in Delphi 2009.

* Hint Property Editor Supports CustomHint in Delphi 2009.

* Source Highlight Supports Anonymous Methods.

* Other Bugs Fixed.

2008.12.09 V0.9.0

+ Add Jump to Matched Keyword Function with the Default Shortcut "Ctrl+," in Code Editor Wizard.

+ MessageBox Wizards Supports MessageDlg Function.

+ Procedure List Supports C/C++ class, other Enhancements.

* Uses Cleaner Supports Delphi 2009.

* Fix a Shortcut Problem in Float Button.

* Avoid a Freeze Problem caused by Delphi 2009 VCL Bug.

* Allow Drag to Resize in Procedure List Toolbar.

* MSDN Wizard Supports MSDN Oct 2001.

* Add a Current Method Macro to Source Template Wizard.

* Fix a Color Updating Problem in Source Highlight. Adjust Dialog Layout.

* Other Bugs Fixed. Fix some Spelling Problems in English UI.

2008.11.01 V0.8.9

+ Add Support to Delphi 2009 but Some Features Disabled. Only Support 12.0.3170.16989 and Later.

+ Add Background Highlight Current Identifier at Cursor in Source Highlight. Defaultly Disabled.

+ Add Procedure List Editor ToolBar. Only Support Pascal Files.

+ Add C/C++ File and HTML Encode Support to Source Format Convert Wizard.

* Add Form Designer's Renaming Support to Prefix Wizard.

* Fix a Problem of Accent Char Input when Auto Input Bracket Enabled.

* Fix a UTF8 Problem in Source Compare Wizard in BDS.

* Allow to Ignore CRLF in "Convert to String" Function.

* Optimize Filtering in Procedure List in BDS.

* Add Some Pascal Script Demos.

* Other Bugs Fixed.

2008.08.08 V0.8.8

- DO NOT Support Delphi 8 Any More.

+ Add Highlight Support to BDS/RAD Studio.

+ Add Lines and Structure Background Highlight.

+ Add Lock Toolbar in IDE Main Form.

* Editor FullScreen Support BDS.

* Add External Command Option After Project Backup.

* Fix some Problems of F3 Search about Search Options and Conflict to Ctrl+E.

* IDEBRTool Add Support to DSK File. Fix a Problem of Package Registry when Restoring.

* Fix a Problem that Bookmark not Saved when Closing DPK.

* Fix a Filtering Problem when Projects with the Same Name Exist in Units/Forms List.

* Fix a Problem of Getting Project Cpp Source File in BCB.

* Add Some Pascal Script Demos.

* Other Bugs Fixed.

2008.04.01 V0.8.3

+ Add a Relation Analyzer.

+ Add "Locate Components" Function in Form Design Wizard.

* Add an Option to Save Window State of CnDebugViewer.

* Add Some Examples of Pascal Script.

* Fix a Problem of Prefix Wizard when Component Name is Classname.

* Fix a Problem of Processing Project in Uses Cleaner.

* Fix a Disabled Problem of Editor Flat Button in BDS.

* Fix the Problem about Float Toolbars Position Limitation in Multi-Monitor.

* Cut the Surplus PopupMenu in SQL Window of Delphi 2007 in Editor Enhancement.

* Fix a Problem of Input Helper's Output Mode when Pressing Enter.

* Fix a Problem when Edit Strings Using CnWizards Editor in BDS.

* Fix a F3 Search Problem that may Cause Search Content Error and Position Error.

* Other Bugs Fixed.

2007.12.31 V0.8.2

+ Add Support to RAD Studio 2007.

+ Add Support to Windows Vista.

+ Add a Wizard to Support Pascal Script.

+ Add an IDE External Wizard Management Tool.

+ Add a Logo to IDE Splash Form.

+ Add a UI Language Select Tool.

+ Add Code Structure Highlight. Only for Delphi 5 6 7.

+ Add Enhanced "Use Unit", "Select Frame to Insert" Dialog and "List Used Unit" in Project Extension Wizard.

+ Add Version Enhancements Wizard, but Some IDE NOT Supported.

+ Add Previous/Next Message Line Tool and Toggle Uses/Include Tool in Editor Wizard.

+ Add Convert to Code in Form Design Wizard.

+ Add a Customize Tool in CnWizards Source Code.

* Add BDS/RAD Studio Support to Input Helper.

* Add Pascal Class and Property Support to Procedure List.

* Add Auto Save Function, Auto Input Matched Bracket and Multi-line Editor Tab to Editor Enhancement. Disabled Defaultly.

* Fix the Conflict between Multi-Language and DEP.

* Fix the Conflict with TNT Package.

* Add Flat Style Option to Component Palette.

* Add Hex Color and Component Value Support to Property Corrector. Support Multi-Selection.

* Fix Problems about Inherited Form and Pasted Components.

* Add Toggle Guideline Function to Form Design Wizard in BDS 2006.

* Layout and Filters of Explorer Wizard Adjusted.

* Add Copy Full Path/Filename in Editor Context Menu.

* Add External Compressor Support to Project Backup.

* Add Auto Input Matched Bracket in Editor Enhancement.

* Add "Move to Next Line" Option to Toggle Comment.

* Fix the Problem of Keyboard Conflict after Pressing Alt+G to goto Line.

* Auto Disable FastCode when Found DelphiSpeedUp to Avoid Conflict.

* Fix a Problem of Auto Indent in BDS 2006.

* Fix a Duplicated Template Problem in MessageBox Wizard.

* Fix a Problem of Copy/Paste Key in Prefix Wizard.

* Add Some Methods, Cross-Session Support, Dump to File Support and Runtime Object RTTI Evaluation to CnDebug(Condition SUPPORT_EVALUATE needed).

* CnDebugViewer Efficiency Improved. Support to OutputDebugString, Load from Dump File and Some Options Added.

* Other Bugs Fixed.

2006.10.01 V0.8.1

+ Add FastCode IDE Optimizer.

+ Add IDE Config Backup and Restore Tool.

+ Add Support for Delphi 2005 2006 to Uses Cleaner.

+ Add Support for Delphi 2005 2006 to Float Toolbar Partly.

+ Add Support for Delphi 2005 2006 to Editor Toolbar.

+ Add Detection and Hint to Update Pack Versions.

+ Add Stand-alone ASCII Chart Tool.

+ Add "Search Component" Function to Palette.

* Some Icons of CnWizards Changed.

* Add Support for C++Builder to CnDebug.

* Add Support for DataModule to Component Selector and Arrange Non-visual.

* Add Renaming to Action Name and DataField Value in Prefix Wizard.

* Add RTF Support to Source Format Convert Wizard.

* Fixed the Problem that CPP Source Editor NOT Visbile when Open a Form in Forms List in BCB.

* Fixed the Problem when Copy HTML in BDS.

* Fixed the Probblem that CnDebugViewer Popup Error when Exit.

* Fixed the Problem that Line Feed Lost when CnDebugViewer Loads a XML File.

* Fixed the Problem of Saving Password Error in Project Backup.

* Fixed the problem that Space of Row or Column Disabled in Arrange Nonvisual.

* Fixed the Problem in Zoom FullScreen that IDE Main Window may NOT Popup Correctly when its Size Changed.

* Change to Use Timer to Detect File Modification in Editor Enhancement to Decrease CPU Workload.

* Other Bugs Fixed.

2006.08.15 V0.8.0

+ Add Support for BDS 2006 to CnWizards.

+ Add CnDebug / CnDebugViewer Tools to CnWizards.

+ Add Moving Cursor between Procedure and Var Field with Ctrl+Shift+V.

+ Add Insert Date Time Tool to Editor Wizard.

+ F3/Shift+F3 to Search Selected Text in Editor Enhancement.

+ Add New Folder in Explorer Wizard.

* Add support to multi "." filename using new version of DCU32 in Uses Cleaner.

* Add Wrap Function for Tabs Menu in IDE Main Form Enhancement.

* Add Auto Saving Feature in Historical File.

* Add Support to Bds Project and dpk File in Source Statistics.

* Allow User to Process Opened Units in Uses Cleaner.

* Fix a Case Problem of Prefix Wizard.

* Fix the Problem that Spaces are Ignored when Comparing Strings in Property Corrector.

* Fix a Problem when MSDN wizard Get the Registration Info.

* Replace Icons with Resource Dll.

* Other Bugs Fixed.

2005.11.13 V0.7.9

+ Add IDE Enhancements Settings Wizard for IDE Enhancement Wizards setting.

+ Add Project Backup in Project Extension Wizard.

+ Add Auto-indent and Home Key Extension in Editor Enhancement.

+ Add an Option to Integrate CnPack Menu into Tools Menu.

+ Add IDE Command Line of -cnregXXXX to Specify Settings Registry Key when Starting-up.

* Add Web Search in Selection Button.

* MSDN Wizard Supports MSDN 2005.

* Extract Source Highlight Function to a New Wizard. A Bug Fixed.

* Add Multi-file and Interface Support to Procedure List.

* Fix a Problem of Case Sensitive in Prefix Wizard.

* Fix a Problem that the Shortcut can NOT be Saved in Input Helper. Add some Code Templates.

* Fix a Problem that Changes Break Point Position Incorrectly.

* Fix a Problem that Cause error when Press Ctrl+Tab in Float Proerty Bar.

* Fix the Problem that the Menu Dropped Down only when Clicked.

* Other Bugs Fixed.

2005.08.31 V0.7.8

+ Add Uses Units Cleaner. Only Delphi 5/6/7 Supported.。

+ Separate Source Templates Wizard from Editor Wizard.

* Add Customize Space Equally in Form Design Wizard.

* Fix the Problems of Refreshing and Block Undo in Bracket Highlighting.。

* Add Tab/Ctrl+Tab Support in Float Property Bar.

* Fix the Problem of Refreshing after Smart Cut.

* Add Locating Current Procedure in Procedure List.

* Fix the Problem of ConfigIO when User Dir does NOT exist.

* Fix some Problem when Displaying H Files in C++Builder 6.

* Fix the Problem that String Property Editor may Override System Property Editor.

* Add H Files Processing in Source Statistics Wizard in C++Builder.

* Add Parameter Hint in Input Helper.

* Fix the Problem that Prefix Wizard may Display a Dialog with Empty List.

* Fix a Bug that may Cause AV when Closing IDE in MSDN Wizard.

* Add Supporting for D8/D2005 and Other Improvement in IDE History Cleaner.

* Other Bugs Fixed.

2005.08.16 V0.7.7

+ Add highlighting for bracket matching in Editor Enhancement.

+ Add a float mini property editor in Form Designer.

+ Add Insert Color Tool.

+ Add Collector Tool.

* Convert Bookmark Browser to IDE dockable form. Add deleting bookmark function.

* Fix the problem of corruption of IDE code template in Input Helper.

* Add a switch to allow restoring to normal state when close fullscreen.

* Change Property Editor Registers to avoid overwriting system editors.

* Fix a bug when add new component in ancestor form in Prefix Wizard.

* Create a new projectgroup when opening a project in history file.

* Other Improvements and Problems Fixed.

2005.07.18 V0.7.6

* Add auto checking whether text is variable in MessageBox Designer.

* Show Shell Context Menu when right-click tabset with Ctrl or Shift.

* Add Projectgroup support for Clean Temporary Files.

* Fix the problem of error height in IDE main form when fullscreen.

* Fix a problem when inputting accent character in Input Helper.

* Prompt to browse nightly build page when latest release installed in upgrade checking.

* Input Helper allows user to modify some pre-defined list and to restore list to default.

2005.07.09 V0.7.5

+ Add English CHM Help.

+ Add Project Dir Builder in Project Extension Wizard.

+ Add Group Replacement in Selection Button.

* Add Compiler Directive, XML and JavaDoc Comments, Customized Symbol and Templates in Code Input Helper.

* Add Batch Renaming Mode in Prefix Wizard.

* Add Customizing and Shortcut for Code Wrap Tool.

* Add Smart Copy and Paste in Source Editor Enhancements.

* Fix the Problem that DCP NOT Found when Searching in BPL for Property Corrector.

* Other Improvements and Problems Fixed.

2005.05.29 V0.7.4

* Modify CnWizards's License Agreement.

+ Add a Property Editor for Component Name, using Prefix Wizard.

* Add Caption Display in Prefix Wizards.

* Auto Switch to Editor after Copying Component Name.

* Fix the Confliction with siLang Component.

* Fix the Problem in Updating when Network Error.

+ Add English Help Partly.

2005.04.03 V0.7.3

+ Add Supporting for Delphi8/BDS2005(Beta).

+ Add Procedure List Wizard.

+ Add Indent/Unindent Tools in Editor Wizard.

+ Add Traditional Chinese Help File and Improve the Terms.

+ Add an External Tool to Clear IDE Open File History.

* Auto Hide IDE Main Window when Editor is Set to FullScreen Mode.

* Add Status Saving/Restoring in Window Set-topmost and Roll Wizard.

* Add Caption in Forms List Window.

* Add Disable-Space-to-Input and Auto Sequence Adjustment in Code Input Helper.

* Add Auto Height Adjustment of Editor and OI when Switching Multi-Line State of Component Palette.

* Fix the Confliction between Constraints Property Editor and ThemeEngine

* Improve the Performance of Code Input Helper when Open a Large File.

* Fix the Problem in Line Number when Lack of Italic Font Style in Editor.

* Fix the Problem of Losing Content when Processing Large File in Editor Wizard.

* Fix the Problem that 'About' can't open in Some Particular System.

* Fix the Problem that Causing CodeRush or Other Property/Components Editors not Work.

* Fix the Confliction with IDE Shortcuts such as Ctrl+K+U.

* Fix the Confliction with DelForEx's Shortcut.

* Fix the Problem of NOT Repainted after Jumping to a Line.

* Other Improvements and Problems Fixed.

2005.01.18 V0.7.2

+ Add Section Button in Editor when A Block Selected.

+ Add "*" after Modified File's Name in Editor Tabset.

+ Add Jumping Forward and Back in Editor.

+ Add a Comment Inverter with the Shortcut Ctrl+/.

* Improve Starting-up Speed of CnWizards.

* Improve the Performance of Code Input Helper, Supporting Code Templates and Auto riority Adjustment.

* Improve the Compatibility of Multi-Language, Supporting More OS. Change Font to Tahoma in English Platform.

* Improve the Registration Mechanism of Property Editor. Fix the Problem of Overriding other Certain Properties.

* Improve Line Number and Add some Settings.

* Improve INI Reader and Writer, Supporting Boolean Type.

* Show Icons in Unitds and Forms List, Supporting Package Files.

* Improve the Shortcut Processing Mechanism without Dependency on IDE Keyboard Binding.

* Fix the Problem in Spacing Function of Form Design Wizard.

* Fix the Invalidation of Code Readonly Protection.

* Fix the Exception when Opening Package and Closing IDE in D5.

* Other Problems Fixed.

2004.12.11 V0.7.1

* Add Multi-FlatToolbar Support.

* Fix Some Memory Leak Problems.

* Add Lock Control and Other Functions in Form Enhancement Wizard.

* Fix 'Divided by Zero' Problem in Line Number. Set Click-Bookmark from One instead of Zero.

* Fix Unrefreshed Submenu Items in Historical Files Snapshot Wizard.

* Fix Popup Unsave Dialog Continuously in 'Close Other Pages' function.

* Fix the Confliction with DelForEx's Shortcut.

2004.11.20 V0.7.0

+ Add Input Helper. Only Supports Delphi.

+ Add Window Set-topmost and Roll Wizard.

+ Add a CnMemProf Repository.

+ Add Line Number Displaying and Bookmark Operations in Code Editor Enhancement .

+ Add Read-Only Protection when Opening System Units.

+ Code Editor Enhancement Add Editor Toolbar.

+ Add Deleting Blank Lines in Code Editor Wizard.

+ Add Align Property Editor.

* Adjust Historical Files and Snapshot to an Independent Wizard.

* Add Sorting and Processing All Opened Forms Function in Property Corrector.

* Fix the Confliction to CodeExpress.

* Fixed a Problem about Flat Toolbar.

* Fix a Confliction to Report Machine's Property Editor.

* Auto Update is Adjusted to Once a Day.

* Speed up Multi-Language Switching.

* Other Problems and Improvement.

2004.06.08 V0.6.9

+ Add Open Historical Files and File Snapshot in Project Enhancements Wizard.

+ Add Tip of Day in About.

+ Add HotKey "Alt+Space" to Code Completion.

* MSDN Toolbar Search Improved. Add Compiler Directives Style in Pas2Html Wizard.

* Other Bugs Fixed.

2004.01.19 V0.6.8

+ Add Explorer Wizard by Hhha, emulating Windows Explorer in a dockable form in IDE.

+ Add some Repository Wizards, include DUnit Test Case and INI Reader and Writer.

+ Add a temporary file clean tools to Project Extended Wizard.

+ Add Comment/Uncomment tools and a ASCII Chart tool to Code Editor Wizard.

* Fix a bug in Prefix Wizard when customized prefix contains digitals.

* Add command-line of IDE: -nocn and -swcn.

* Fixed a hidden bug in Notifier under BCB 5.

* Multiple language support improved. Other Bugs Fixed.

2003.11.26 V0.6.7

(Omitted)

2003.08.10 V0.6.6

(Omitted)

2003.07.13 V0.6.5

(Omitted)

2003.06.10 V0.6.4

(Omitted)

2003.05.27 V0.6.3

(Omitted)

2003.05.04 V0.6.2

(Omitted)

2003.05.03 V0.6.1

(Omitted)

2003.05.01 V0.6.0

(Omitted)

2003.04.27 V0.5.9

(Omitted)

2003.04.25 V0.5.8

(Omitted)

2003.04.12 V0.5.7

(Omitted)

2003.04.03 V0.5.6

(Omitted)

2003.03.30 V0.5.5

(Omitted)

2003.03.25 V0.5.4

(Omitted)

2003.03.23 V0.5.3

(Omitted)

2003.03.22 V0.5.2

(Omitted)

2003.03.12 V0.5.1

(Omitted)

2003.03.09 V0.5.0

(Omitted)

2003.03.08 V0.4.7

(Omitted)

2003.03.06 V0.4.6

(Omitted)

2003.03.01 V0.4.5

(Omitted)

2003.02.28 V0.4.4

(Omitted)

2003.02.27 V0.4.3

(Omitted)

2003.02.23 V0.4.2

(Omitted)

2003.02.17 V0.4.1.Alpha

(Omitted)

2003.02.16 V0.4.0.Alpha

(Omitted)

2002.12.11 V0.3.10.Alpha

(Omitted)

2002.12.10 V0.3.9.Alpha

(Omitted)

2002.12.08 V0.3.8.Alpha

(Omitted)

2002.12.05 V0.3.7.Alpha

(Omitted)

2002.12.02 V0.3.6.Alpha

(Omitted)

2002.11.24 V0.3.5.Alpha

(Omitted)

2002.11.23 V0.3.4.Alpha

(Omitted)

2002.11.20 V0.3.3.Alpha

(Omitted)

2002.11.17 V0.3.2.Alpha

(Omitted)

2002.10.31 V0.3.1.Alpha

(Omitted)

2002.10.17 V0.3.0.Alpha

(Omitted)

2002.10.03 V0.2.0.Alpha

(Omitted)

2002.10.01 V0.1.1.Demo

(Omitted)

2002.09.20 V0.1.0.Demo

+ The First Version of CnWizards.

Links

Credits

About CnWizards

Copyrights 2001-2015 CnPack Team